import { FC, ReactNode } from 'react';
import { EditorProps, ExecutionProps, PluginProps, SchemaProps, ThemeProps, StorageProps } from '../stores';
import { SlicesWithActions } from '../types';
interface GraphiQLProviderProps extends EditorProps, ExecutionProps, PluginProps, SchemaProps, ThemeProps, StorageProps {
    children: ReactNode;
}
export declare const GraphiQLProvider: FC<GraphiQLProviderProps>;
export declare function useGraphiQL<T>(selector: (state: SlicesWithActions) => T): T;
/**
 * Actions are functions used to update values in your store. They are static and never change.
 * @see https://tkdodo.eu/blog/working-with-zustand#separate-actions-from-state
 */
export declare const useGraphiQLActions: () => import('../types').AllActions;
export {};
