import { MonacoGraphQLAPI } from 'monaco-graphql';
interface MonacoStoreType {
    monaco?: typeof import('monaco-editor');
    monacoGraphQL?: MonacoGraphQLAPI;
    actions: {
        initialize: () => Promise<void>;
    };
}
/**
 * Dynamically load `monaco-editor` and `monaco-graphql` in `useEffect` after component renders.
 *
 * **Do not convert these to static `import` statements.**
 * In SSR (e.g., Next.js), static imports run on the server
 * where `window` is undefined and trigger an error.
 */
export declare const monacoStore: import('zustand').StoreApi<MonacoStoreType>;
export declare const useMonaco: {
    (): MonacoStoreType;
    <T>(selector: (state: MonacoStoreType) => T): T;
};
export {};
