import { ComponentPropsWithoutRef } from 'react';
import { AllTypeInfo } from 'graphql-language-service/esm/types';
import { EditorSlice, ExecutionSlice, PluginSlice, SchemaSlice, ThemeSlice, StorageSlice, EditorActions, ExecutionActions, PluginActions, SchemaActions, ThemeActions } from './stores';
import { RuleKind } from 'graphql-language-service';
import type * as monaco from 'monaco-editor';
export declare type EditorProps = ComponentPropsWithoutRef<'div'>;
export interface SchemaReference {
    kind: RuleKind;
    typeInfo: AllTypeInfo;
}
export declare type MonacoEditor = monaco.editor.IStandaloneCodeEditor;
export declare type AllSlices = EditorSlice & ExecutionSlice & PluginSlice & SchemaSlice & ThemeSlice & StorageSlice;
export declare type AllActions = EditorActions & ExecutionActions & PluginActions & SchemaActions & ThemeActions;
export interface SlicesWithActions extends AllSlices {
    actions: AllActions;
}
/**
 * The value `null` semantically means that the user does not explicitly choose
 * any theme, so we use the system default.
 */
export declare type Theme = 'light' | 'dark' | null;
